/
/ Concat.
/
 
	.globl	concat
 
/
/ char *concat(out, in0, in1, ..., inN, 0);
/ char *out, *in0, *in1, ..., *inN;
/
/ returns out.
/

concat:	jsr	r0,__csav
	mov	12(r5),r0
	mov	r5,r1
	add	$14,r1
 
1:	mov	(r1)+,r2
	beq	1f

0:	movb	(r2)+,(r0)+
	bne	0b
	dec	r0
	br	1b
 
1:	clrb	(r0)
	mov	12(r5),r0
	jmp	__cret
